# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{rhc}
  s.version = "0.98.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Red Hat"]
  s.date = %q{2012-08-30}
  s.description = %q{The client tools for the OpenShift platform that allow for application management.}
  s.email = %q{dev@lists.openshift.redhat.com}
  s.executables = ["rhc-sshkey", "rhc-ctl-app", "rhc-app", "rhc-domain-info", "rhc-port-forward", "rhc-chk", "rhc-snapshot", "rhc", "rhc-create-domain", "rhc-domain", "rhc-user-info", "rhc-tail-files", "rhc-ctl-domain", "rhc-create-app"]
  s.files = ["lib/rhc-common.rb", "lib/rhc/targz.rb", "lib/rhc/core_ext.rb", "lib/rhc/ssh_key_helpers.rb", "lib/rhc/json.rb", "lib/rhc/rest.rb", "lib/rhc/vendor/sshkey.rb", "lib/rhc/vendor/okjson.rb", "lib/rhc/vendor/parseconfig.rb", "lib/rhc/vendor/zliby.rb", "lib/rhc/commands/domain.rb", "lib/rhc/commands/server.rb", "lib/rhc/commands/setup.rb", "lib/rhc/commands/base.rb", "lib/rhc/exceptions.rb", "lib/rhc/cli.rb", "lib/rhc/help_formatter.rb", "lib/rhc/version.rb", "lib/rhc/coverage_helper.rb", "lib/rhc/client.rb", "lib/rhc/wizard.rb", "lib/rhc/commands.rb", "lib/rhc/config.rb", "lib/rhc/helpers.rb", "lib/rhc/autocomplete.rb", "lib/rhc/rest/domain.rb", "lib/rhc/rest/application.rb", "lib/rhc/rest/client.rb", "lib/rhc/rest/cartridge.rb", "lib/rhc/rest/key.rb", "lib/rhc/rest/user.rb", "lib/rhc/context_helper.rb", "lib/rhc.rb", "lib/rhc/usage_templates/help.erb", "lib/rhc/usage_templates/command_help.erb", "lib/rhc/autocomplete_templates/rhc.erb", "conf/express.conf", "LICENSE", "COPYRIGHT", "README.md", "Rakefile", "spec/rest_spec_helper.rb", "spec/spec.opts", "spec/coverage_helper.rb", "spec/rhc/assets/foo.txt", "spec/rhc/assets/targz_corrupted.tar.gz", "spec/rhc/assets/targz_sample.tar.gz", "spec/rhc/rest_spec.rb", "spec/rhc/wizard_spec.rb", "spec/rhc/commands/domain_spec.rb", "spec/rhc/commands/setup_spec.rb", "spec/rhc/commands/server_spec.rb", "spec/rhc/helpers_spec.rb", "spec/rhc/json_spec.rb", "spec/rhc/common_spec.rb", "spec/rhc/config_spec.rb", "spec/rhc/cli_spec.rb", "spec/rhc/rest_client_spec.rb", "spec/rhc/targz_spec.rb", "spec/rhc/command_spec.rb", "spec/rhc/rest_application_spec.rb", "spec/spec_helper.rb", "features/support/env.rb", "features/support/ssh.sh", "features/lib/rhc_helper.rb", "features/lib/rhc_helper/domain.rb", "features/lib/rhc_helper/commandify.rb", "features/lib/rhc_helper/httpify.rb", "features/lib/rhc_helper/loggable.rb", "features/lib/rhc_helper/app.rb", "features/lib/rhc_helper/runnable.rb", "features/lib/rhc_helper/cartridge.rb", "features/lib/rhc_helper/persistable.rb", "features/verify.feature", "features/README.md", "features/step_definitions/cartridge_steps.rb", "features/step_definitions/application_steps.rb", "features/step_definitions/client_steps.rb", "features/step_definitions/domain_steps.rb", "bin/rhc-sshkey", "bin/rhc-ctl-app", "bin/rhc-app", "bin/rhc-domain-info", "bin/rhc-port-forward", "bin/rhc-chk", "bin/rhc-snapshot", "bin/rhc", "bin/rhc-create-domain", "bin/rhc-domain", "bin/rhc-user-info", "bin/rhc-tail-files", "bin/rhc-ctl-domain", "bin/rhc-create-app"]
  s.homepage = %q{https://github.com/openshift/rhc}
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{OpenShift Client Tools}
  s.test_files = ["spec/rest_spec_helper.rb", "spec/spec.opts", "spec/coverage_helper.rb", "spec/rhc/assets/foo.txt", "spec/rhc/assets/targz_corrupted.tar.gz", "spec/rhc/assets/targz_sample.tar.gz", "spec/rhc/rest_spec.rb", "spec/rhc/wizard_spec.rb", "spec/rhc/commands/domain_spec.rb", "spec/rhc/commands/setup_spec.rb", "spec/rhc/commands/server_spec.rb", "spec/rhc/helpers_spec.rb", "spec/rhc/json_spec.rb", "spec/rhc/common_spec.rb", "spec/rhc/config_spec.rb", "spec/rhc/cli_spec.rb", "spec/rhc/rest_client_spec.rb", "spec/rhc/targz_spec.rb", "spec/rhc/command_spec.rb", "spec/rhc/rest_application_spec.rb", "spec/spec_helper.rb", "features/support/env.rb", "features/support/ssh.sh", "features/lib/rhc_helper.rb", "features/lib/rhc_helper/domain.rb", "features/lib/rhc_helper/commandify.rb", "features/lib/rhc_helper/httpify.rb", "features/lib/rhc_helper/loggable.rb", "features/lib/rhc_helper/app.rb", "features/lib/rhc_helper/runnable.rb", "features/lib/rhc_helper/cartridge.rb", "features/lib/rhc_helper/persistable.rb", "features/verify.feature", "features/README.md", "features/step_definitions/cartridge_steps.rb", "features/step_definitions/application_steps.rb", "features/step_definitions/client_steps.rb", "features/step_definitions/domain_steps.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<net-ssh>, [">= 0"])
      s.add_runtime_dependency(%q<archive-tar-minitar>, [">= 0"])
      s.add_runtime_dependency(%q<test-unit>, [">= 0"])
      s.add_runtime_dependency(%q<commander>, [">= 4.0"])
      s.add_runtime_dependency(%q<highline>, [">= 1.5.1"])
      s.add_runtime_dependency(%q<rest-client>, [">= 1.6"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<webmock>, [">= 1.6"])
      s.add_development_dependency(%q<rspec>, ["~> 1.3"])
      s.add_development_dependency(%q<fakefs>, [">= 0.4"])
      s.add_development_dependency(%q<thor>, [">= 0"])
      s.add_development_dependency(%q<cucumber>, [">= 0"])
      s.add_development_dependency(%q<dnsruby>, [">= 0"])
      s.add_development_dependency(%q<open4>, [">= 0"])
      s.add_development_dependency(%q<activesupport>, ["~> 3.0"])
    else
      s.add_dependency(%q<net-ssh>, [">= 0"])
      s.add_dependency(%q<archive-tar-minitar>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 0"])
      s.add_dependency(%q<commander>, [">= 4.0"])
      s.add_dependency(%q<highline>, [">= 1.5.1"])
      s.add_dependency(%q<rest-client>, [">= 1.6"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<webmock>, [">= 1.6"])
      s.add_dependency(%q<rspec>, ["~> 1.3"])
      s.add_dependency(%q<fakefs>, [">= 0.4"])
      s.add_dependency(%q<thor>, [">= 0"])
      s.add_dependency(%q<cucumber>, [">= 0"])
      s.add_dependency(%q<dnsruby>, [">= 0"])
      s.add_dependency(%q<open4>, [">= 0"])
      s.add_dependency(%q<activesupport>, ["~> 3.0"])
    end
  else
    s.add_dependency(%q<net-ssh>, [">= 0"])
    s.add_dependency(%q<archive-tar-minitar>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 0"])
    s.add_dependency(%q<commander>, [">= 4.0"])
    s.add_dependency(%q<highline>, [">= 1.5.1"])
    s.add_dependency(%q<rest-client>, [">= 1.6"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<webmock>, [">= 1.6"])
    s.add_dependency(%q<rspec>, ["~> 1.3"])
    s.add_dependency(%q<fakefs>, [">= 0.4"])
    s.add_dependency(%q<thor>, [">= 0"])
    s.add_dependency(%q<cucumber>, [">= 0"])
    s.add_dependency(%q<dnsruby>, [">= 0"])
    s.add_dependency(%q<open4>, [">= 0"])
    s.add_dependency(%q<activesupport>, ["~> 3.0"])
  end
end
